DL_Key< T > Class Template Referenceabstract

Base class for a Discrete Log (DL) key. More...

Inheritance diagram for DL_Key< T >:

## Public Member Functions

virtual const DL_GroupParameters< T > & | GetAbstractGroupParameters () const =0
| Retrieves abstract group parameters. More...
virtual DL_GroupParameters< T > & | AccessAbstractGroupParameters ()=0
| Retrieves abstract group parameters. More...

## Detailed Description

### template<class T>
class DL_Key< T >

Base class for a Discrete Log (DL) key.

Template Parameters

  T | class or type of an element

The element is usually an Integer, ECP::Point or EC2N::Point

Definition at line 997 of file pubkey.h.

## Member Function Documentation

## GetAbstractGroupParameters()

template<class T >

virtual const DL_GroupParameters<T>& DL_Key< T >::GetAbstractGroupParameters | ( |  | ) | const

pure virtual

Retrieves abstract group parameters.

Returns
  a const reference to the group parameters

## AccessAbstractGroupParameters()

template<class T >

virtual DL_GroupParameters<T>& DL_Key< T >::AccessAbstractGroupParameters | ( |  | ) |

pure virtual

Retrieves abstract group parameters.

Returns
  a non-const reference to the group parameters

Implemented in DL_PublicKeyImpl< GP >, DL_PublicKeyImpl< DL_GroupParameters_EC< EC > >, DL_PrivateKeyImpl< GP >, and DL_PrivateKeyImpl< DL_GroupParameters_EC< EC > >.

The documentation for this class was generated from the following file:

- pubkey.h